Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1358002

Summary: Duplicate entries for same MAC in 2B. Engine
Product: Red Hat Quickstart Cloud Installer Reporter: Thom Carlin <tcarlin>
Component: Installation - RHEVAssignee: John Matthews <jmatthew>
Status: ASSIGNED --- QA Contact: Dave Johnson <dajohnso>
Severity: low Docs Contact: Dan Macpherson <dmacpher>
Priority: unspecified    
Version: 1.0CC: bthurber, jmatthew
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Thom Carlin 2016-07-19 19:43:41 UTC
Description of problem:

For RHV, see duplicate entries for the same MAC address

Version-Release number of selected component (if applicable):

QCI-1.2-RHEL-7-20160718.t.0

How reproducible:

Uncertain, believe 100% for this case

Steps to Reproduce:
1. Install QCI and configure
2. Deploy RHV
3. RHV deployment fails
4. Remove Hosts using web UI
5. Remove Deployment using web UI
6. Try to re-deploy RHV

Actual results:

2B. Engine shows multiple entries for same MAC address (see screenshot)

Expected results:

Single entry for same MAC address

Additional info:

Note the host name is different from the default

Comment 2 Thom Carlin 2016-07-19 19:46:36 UTC
The row with mac<<mac_address>> also appears on 2C. Hypervisor

Comment 4 jmagen@redhat.com 2016-07-27 08:02:06 UTC
Thom, please clarify what you meant by 

4. Remove Hosts using web UI

Did you delete the hosts in Sat 6 > Discovered Hosts, and then rediscovered them. 

This appears to be a Sat6 issue if that allow two discovered hosts with the same MAC address in the backend.

Comment 5 Thom Carlin 2016-07-27 11:11:45 UTC
Hi Julie, Yes, Comment 4 is correct - Reproducer steps was missing:
5.5. Rediscover hosts

Comment 6 jmagen@redhat.com 2016-07-27 14:38:15 UTC
I don't understand. What are the steps again to reproduce? Did you delete discovered hosts from Sat6. If yes, are you saying that it was re-discovered twice?

Comment 7 Thom Carlin 2016-07-27 15:26:15 UTC
Steps to Reproduce:
1. Install QCI and configure
2. Deploy RHV
3. RHV deployment fails
4. Remove Hosts using web UI
5. Remove Deployment using web UI
6. Rediscover hosts
7. Try to re-deploy RHV

Comment 8 jmagen@redhat.com 2016-07-28 10:52:25 UTC
I can't reproduce. My guess is that this is an ember data caching issue, however, I just manually deleted a discovered host on the server, and then went to the list on English or Hypervisor and it dissapeared as well. So, not sure how there could be duplicate discovered hosts.

Comment 9 John Matthews 2016-08-05 13:51:34 UTC
Moving to post GA.

Will need enhanced reproducer steps.  In a libvirt testing environment we've seen success with the steps in comment #7.